org.modeshape.jcr.spi.index

## Class IndexChangeSetListeners.IndexChangeSetListener

- java.lang.Object
- - org.modeshape.jcr.spi.index.IndexChangeSetListeners.IndexChangeSetListener

- All Implemented Interfaces:
    ChangeSetListener
  Direct Known Subclasses:
    IndexChangeSetListeners.MultiPropertyIndexChangeSetListener, IndexChangeSetListeners.SinglePropertyIndexChangeSetListener
  Enclosing class:
    IndexChangeSetListeners

      @NotThreadSafe
      protected abstract static class IndexChangeSetListeners.IndexChangeSetListener
      extends Object
      implements ChangeSetListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected NodeTypes.Supplier` | `nodeTypesSupplier`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IndexChangeSetListeners.IndexChangeSetListener(String localProcessKey, NodeTypes.Supplier nodeTypesSupplier, Name nodeType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `acceptableNodeType(AbstractNodeChange change)`
    `protected boolean` | `isLocal(ChangeSet changeSet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.jcr.cache.change.ChangeSetListener

      `notify`

- - ### Field Detail

    - #### nodeTypesSupplier

          protected final NodeTypes.Supplier nodeTypesSupplier

  - ### Constructor Detail

    - #### IndexChangeSetListeners.IndexChangeSetListener

          protected IndexChangeSetListeners.IndexChangeSetListener(String localProcessKey,
                                                        NodeTypes.Supplier nodeTypesSupplier,
                                                        Name nodeType)

  - ### Method Detail

    - #### isLocal

          protected final boolean isLocal(ChangeSet changeSet)

    - #### acceptableNodeType

          protected final boolean acceptableNodeType(AbstractNodeChange change)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.